# NavigationTool

#### new Cesium.NavigationTool(viewer, options)
MapGIS/Tools/Navigation/NavigationTool.js 48

A mixin which adds the Compass/Navigation widget to the Viewer widget. Rather than being called directly, this function is normally passed as a parameter to `Viewer#extend`, as shown in the example below.

Name | Type | Description
--- | --- | ---
`viewer` | Viewer | The viewer instance.
`options` | Object | The options.

##### Throws:

- DeveloperError : viewer is required.

##### Example:

    var viewer = new Cesium.Viewer('cesiumContainer');
    viewer.extend(NavigationTool);

##### Demo:

- run local server with examples

### Methods

#### static Cesium.NavigationTool.mixinWidget(cesiumWidget, options)
MapGIS/Tools/Navigation/NavigationTool.js 78

Name | Type | Description
--- | --- | ---
`cesiumWidget` | CesiumWidget | The cesium widget instance.
`options` | Object | The options.